Bug 126322 - EHCI screaming interrupt (not apparently ACPI)
EHCI screaming interrupt (not apparently ACPI)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-18 18:57 EDT by Todd Fisher
Modified: 2015-01-04 17:07 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:56:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
attached is /var/log/messages (146.71 KB, text/plain)
2004-06-18 19:02 EDT, Todd Fisher
no flags Details
/var/log/messages booting with acpi=off (22.94 KB, text/plain)
2004-06-19 09:57 EDT, Todd Fisher
no flags Details
dmesg from 2.6.7-1.501 (11.93 KB, text/plain)
2004-07-30 12:52 EDT, Anders Montonen
no flags Details
The output of lspci -vvv (7.87 KB, text/plain)
2004-07-30 12:53 EDT, Anders Montonen
no flags Details

  None (edit)
Description Todd Fisher 2004-06-18 18:57:00 EDT
Description of problem:

I installed fedora core 2 on a machine I have been running fedora core
1 on for sometime.  I then upgraded to fedora core 2 and everything
seemed to be working fine.  Then after a yum -y update and a new
kernel my network card does function correctly.

Version-Release number of selected component (if applicable):

:::::::::::broken:::::::::::::::
the kernel i upgraded to is : 2.6.5-1.435
the module is listed with lsmod as
8139too    17920    0

:::::::::::working:::::::::::::::
the kernel that worked is: 2.6.5-358

the module is listed with lsmod as
8139too    17792    0

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Todd Fisher 2004-06-18 19:02:14 EDT
Created attachment 101254 [details]
attached is /var/log/messages
Comment 2 Alan Cox 2004-06-18 22:38:37 EDT
Jun 18 17:58:29 localhost kernel: ehci_hcd 0000:00:02.2: new USB bus
registered, assigned bus number 1
Jun 18 17:58:29 localhost kernel: irq 11: nobody cared! (screaming
interrupt?)
Jun 18 17:58:29 localhost kernel: Stack pointer is garbage, not
printing trace
Jun 18 17:58:29 localhost kernel: handlers:
Jun 18 17:58:29 localhost kernel: [<022169f4>] (usb_hcd_irq+0x0/0x4b)
Jun 18 17:58:29 localhost kernel: Disabling IRQ #11

That suggests ACPI problems. I am suprised the new kernel trips them
and the old ones doesn't but it may be the OS reporting change. Let me
know if booting with
acpi=off gets your network card back
Comment 3 Todd Fisher 2004-06-19 09:56:08 EDT
no this didn't appear to change anything... here's my grub.conf and
i'll attach the /var/log/messages after booting with this change

default=0
timeout=10
splashimage=(hd0,0)/grub/splash.xpm.gz
title Fedora Core (2.6.6-1.435)
  root (hd0,0)
  kernel /vmlinuz-2.6.6-1.435 ro root=LABEL=/ rhgb quiet acpi=off
  initrd /initrd-2.6.6-1.435.img
title Fedora Core (2.6.5-1.358)
  root (hd0,0)
  kernel /vmlinuz-2.6.5-1.358 ro root=LABEL=/ rhgb quiet
  initrd /initrd-2.6.5-1.358.img
Comment 4 Todd Fisher 2004-06-19 09:57:10 EDT
Created attachment 101259 [details]
/var/log/messages booting with acpi=off
Comment 5 Alan Cox 2004-06-19 14:09:42 EDT
Intriguing - this looks like an EHCI driver bug. Does it behave any
better with USB legacy support disabled in the BIOS ?
Comment 6 Alan Cox 2004-06-19 14:21:58 EDT
Arjan - suppose the HCD is running in BIOS SMM mode. What guarantees
that the IRQ mask is 0 - which the driver assumes in ehci_hcd_reset.
That would I think explain the screaming IRQ.

Might be worth trying writel(0, &ehci->regs->intr_enable) 

just inside the ifdef CONFIG_PCI 

Comment 7 Arjan van de Ven 2004-06-20 07:53:37 EDT
building a kernel with this now; will be 2.6.7-1.441 on
http://people.redhat.com/arjanv/2.6/ later today 
Comment 8 Andy Clark 2004-07-07 01:15:48 EDT
Similar problem here. I'm running an Athlon XP on a MCT-K7N2 (also
nForce2 chipset).
2.6.5-1.358 kernel works fine. 2.6.5-1.435 doesn't. Also tried
2.6.7-1.456 without success. (FYI 2.6.6-1.435.root version in the
following logs was compiled from source srpm without any config changes )

Let me know if you'd like me to attach the full dmesg logs. I also
have logs from unsuccessfully trying to boot with boot options
"nolapic noapic acpi=off" and apic turned off in BIOS.

Here's a diff of booting (dmesg) with the different versions:

$>diff normal/dmesg dmesg.badeth
1c1
< Linux version 2.6.5-1.358 (bhcompile@bugs.build.redhat.com) (gcc
version 3.3.3 20040412 (Red Hat Linux 3.3.3-7)) #1 Sat May 8 09:04:50
EDT 2004
---
> Linux version 2.6.6-1.435.root (root@eek.leclark.com) (gcc version
3.3.3 20040412 (Red Hat Linux 3.3.3-7)) #1 Mon Jun 21 22:17:43 PDT 2004
27c27
< CPU 0 irqstacks, hard=02345000 soft=02344000
---
> CPU 0 irqstacks, hard=02346000 soft=02345000
29,30c29,30
< Detected 1830.068 MHz processor.
< Using pmtmr for high-res timesource
---
> Detected 1830.310 MHz processor.
> Using tsc for high-res timesource
32c32
< Memory: 1036452k/1048512k available (1540k kernel code, 11308k
reserved, 599k data, 144k init, 0k highmem)
---
> Memory: 1036448k/1048512k available (1552k kernel code, 11312k
reserved, 603k data, 144k init, 0k highmem)
38d37
< Failure registering capabilities with the kernel
40c39
< Capability LSM initialized
---
> Capability LSM initialized as secondary
55c54,55
< POSIX conformance testing by UNIFIX
---
> checking if image is initramfs...it isn't (no cpio magic); looks
like an initrd
> Freeing initrd memory: 309k freed
71c71
< ACPI: PCI Interrupt Link [LNK3] (IRQs 3 4 5 6 7 10 11 12 14 15)
---
> ACPI: PCI Interrupt Link [LNK3] (IRQs 3 4 5 6 7 10 11 12 14 15) *0,
disabled.
73c73
< ACPI: PCI Interrupt Link [LNK5] (IRQs 3 4 5 6 7 10 11 12 14 15)
---
> ACPI: PCI Interrupt Link [LNK5] (IRQs 3 4 5 6 7 10 11 12 14 15) *0,
disabled.
77c77
< ACPI: PCI Interrupt Link [LAPU] (IRQs 3 4 5 6 7 10 11 12 14 15)
---
> ACPI: PCI Interrupt Link [LAPU] (IRQs 3 4 5 6 7 10 11 12 14 15) *0,
disabled.
79c79
< ACPI: PCI Interrupt Link [LMCI] (IRQs 3 4 5 6 7 10 11 12 14 15)
---
> ACPI: PCI Interrupt Link [LMCI] (IRQs 3 4 5 6 7 10 11 12 14 15) *0,
disabled.
82,84c82,84
< ACPI: PCI Interrupt Link [LFIR] (IRQs 3 4 5 6 7 10 11 12 14 15)
< ACPI: PCI Interrupt Link [L3CM] (IRQs 3 4 5 6 7 10 11 12 14 15)
< ACPI: PCI Interrupt Link [LIDE] (IRQs 3 4 5 6 7 10 11 12 14 15)
---
> ACPI: PCI Interrupt Link [LFIR] (IRQs 3 4 5 6 7 10 11 12 14 15) *0,
disabled.
> ACPI: PCI Interrupt Link [L3CM] (IRQs 3 4 5 6 7 10 11 12 14 15) *0,
disabled.
> ACPI: PCI Interrupt Link [LIDE] (IRQs 3 4 5 6 7 10 11 12 14 15) *0,
disabled.
87c87
< ACPI: PCI Interrupt Link [APC3] (IRQs 18)
---
> ACPI: PCI Interrupt Link [APC3] (IRQs *18), disabled.
89,95c89,95
< ACPI: PCI Interrupt Link [APC5] (IRQs 16)
< ACPI: PCI Interrupt Link [APCF] (IRQs 20 21 22)
< ACPI: PCI Interrupt Link [APCG] (IRQs 20 21 22)
< ACPI: PCI Interrupt Link [APCH] (IRQs 20 21 22)
< ACPI: PCI Interrupt Link [APCI] (IRQs 20 21 22)
< ACPI: PCI Interrupt Link [APCJ] (IRQs 20 21 22)
< ACPI: PCI Interrupt Link [APCK] (IRQs 20 21 22)
---
> ACPI: PCI Interrupt Link [APC5] (IRQs *16), disabled.
> ACPI: PCI Interrupt Link [APCF] (IRQs 20 21 22) *0
> ACPI: PCI Interrupt Link [APCG] (IRQs 20 21 22) *0
> ACPI: PCI Interrupt Link [APCH] (IRQs 20 21 22) *0
> ACPI: PCI Interrupt Link [APCI] (IRQs 20 21 22) *0, disabled.
> ACPI: PCI Interrupt Link [APCJ] (IRQs 20 21 22) *0
> ACPI: PCI Interrupt Link [APCK] (IRQs 20 21 22) *0, disabled.
97,100c97,100
< ACPI: PCI Interrupt Link [APCL] (IRQs 20 21 22)
< ACPI: PCI Interrupt Link [APCM] (IRQs 20 21 22)
< ACPI: PCI Interrupt Link [AP3C] (IRQs 20 21 22)
< ACPI: PCI Interrupt Link [APCZ] (IRQs 20 21 22)
---
> ACPI: PCI Interrupt Link [APCL] (IRQs 20 21 22) *0
> ACPI: PCI Interrupt Link [APCM] (IRQs 20 21 22) *0, disabled.
> ACPI: PCI Interrupt Link [AP3C] (IRQs 20 21 22) *0, disabled.
> ACPI: PCI Interrupt Link [APCZ] (IRQs 20 21 22) *0, disabled.
114c114
< PCI: if you experience problems, try using option 'pci=noacpi' or
even 'acpi=off'
---
> vesafb: probe of vesafb0 failed with error -6
118c118
< audit(1088664038.311:0): initialized
---
> audit(1087887201.744:0): initialized
146d145
< NFORCE2: BIOS didn't set cable bits correctly. Enabling workaround.
155d153
< hdd: CD-RW IDE5232, ATAPI CD/DVD-ROM drive
165d162
< hdd: ATAPI 52X CD-ROM CD-R/RW CD-MRW drive, 2048kB Cache
168c165
< usbcore: registered new driver hid
---
> usbcore: registered new driver usbhid
182d178
< powernow: PowerNOW! Technology present. Can scale: nothing.
184,185d179
< checking if image is initramfs...it isn't (no cpio magic); looks
like an initrd
< Freeing initrd memory: 311k freed
220a215,219
> irq 5: nobody cared! (screaming interrupt?)
> Stack pointer is garbage, not printing trace
> handlers:
> [<022169f4>] (usb_hcd_irq+0x0/0x4b)
> Disabling IRQ #5
222c221
< ehci_hcd 0000:00:02.2: USB 2.0 enabled, EHCI 1.00, driver 2003-Dec-29
---
> ehci_hcd 0000:00:02.2: USB 2.0 enabled, EHCI 1.00, driver 2004-May-10
225c224,225
< hub 2-0:1.0: connect-debounce failed, port 1 disabled
---
> hub 1-0:1.0: connect-debounce failed, port 3 disabled
> ohci_hcd 0000:00:02.0: remote wakeup
228c228,231
< usb 2-1: new full speed USB device using address 2
---
> usb 1-3: new low speed USB device using address 2
> drivers/usb/input/hid-core.c: ctrl urb status -32 received
> input: USB HID v1.10 Gamepad [Gravis Eliminator AfterShock   ] on
usb-0000:00:02.0-3
> usb 2-3: new full speed USB device using address 2
233d235
< cdrom: open failed.
241,244c243
< kjournald starting.  Commit interval 5 seconds
< EXT3 FS on hdb1, internal journal
< EXT3-fs: mounted filesystem with ordered data mode.
< st: Version 20040318, fixed bufsize 32768, s/g segs 256
---
> st: Version 20040403, fixed bufsize 32768, s/g segs 256
Comment 9 Anders Montonen 2004-07-30 12:52:01 EDT
I'm seeing the same problem on an IBM Thinkpad T21. When booting with
an ALi USB 2.0 PC card inserted the kernel complains about screaming
IRQ11 and disables it, taking the network and sound with it. Booting
with acpi=off does not help, nor did upgrading to Arjan's 2.6.7-1.501
kernel.
Comment 10 Anders Montonen 2004-07-30 12:52:58 EDT
Created attachment 102318 [details]
dmesg from 2.6.7-1.501
Comment 11 Anders Montonen 2004-07-30 12:53:38 EDT
Created attachment 102319 [details]
The output of lspci -vvv
Comment 12 Mark H Johnson 2004-08-06 15:36:22 EDT
I am seeing this too with both
 - 2.6.5-1.358smp (Fedora Core 2 update)
 - 2.6.8-rc2-mm2 (trying to build / test with Ingo Molnar's
voluntary_preempt changes)

I was unable to capture the symptom from the 2.6.8 kernel, but the
2.6.5 kernel from Fedora gives me the following symptoms:

[all within the same second in the log files / pop up]

All lines start with
  Aug  6 13:52:44 dws77 kernel:
 
irq 10: nobody cared! (screaming interrupt?)
Call Trace:
  [<021074ed>] __report_bad_irq+0x2b/0x67
  [<02107585>] note_interrupt+0x43/0x66
  [<021077d7>] do_IRQ+0x134/0x19a

handlers:
[<0222dd6e>] (usb_hcd_irq+0x0/0x4b)
[<0222dd6e>] (usb_hcd_irq+0x0/0x4b)
Disabling IRQ #10

At this point, my mouse is dead. I can still do some actions with
the keyboard, but any attempt to switch console displays will
cause the keyboard to lock up as well. I did not attempt a
network login (just thought of that as I was typing this in)
to recover / used the reset button instead to recover the machine.

My machine has been running with the 2.6.5 kernel for a while
now without any problems. I have only seen this when running a
real time stress test to time latency - Benno's latencytest at
  http://www.gardena.net/benno/linux/audio
and it occurs after the test has run for a few minutes. This test
streams some audio and burns some CPU time while measuring the
latency on rescheduling. I modified Benno's test script slightly
to run a CPU burner to keep both CPU's on a two CPU machine busy.

Let me know if you need any further information.
Comment 13 Todd Fisher 2004-08-09 19:27:37 EDT
I upgraded to the latest kernel 2.6.7-1.494.2.2 and my network starts
up without error or warning. :-)  As well the rest of the system works
without any noticable errors or warnings.
Comment 14 Andy Clark 2004-08-13 12:36:08 EDT
I have also successfully upgraded to 2.6.7-1.494.2.2. Problem appears
to have been resolved.
Comment 15 Daniel Rogers 2004-08-23 18:00:07 EDT
I'm still seeing this with 2.6.8-1.521 on my nforce2 based board. 
Here's the dmesg output from boot time:

mice: PS/2 mouse device common for all mice
irq 12: nobody cared! (screaming interrupt?)
irq 12: Please try booting with acpi=off and report a bug
Stack pointer is garbage, not printing trace
handlers:
[<0228abd5>] (i8042_interrupt+0x0/0x1f8)
Disabling IRQ #12
serio: i8042 AUX port at 0x60,0x64 irq 12
irq 12: nobody cared! (screaming interrupt?)
irq 12: Please try booting with acpi=off and report a bug
Stack pointer is garbage, not printing trace
handlers:
[<0228abd5>] (i8042_interrupt+0x0/0x1f8)
Disabling IRQ #12
irq 12: nobody cared! (screaming interrupt?)
irq 12: Please try booting with acpi=off and report a bug
Stack pointer is garbage, not printing trace
handlers:
[<0228abd5>] (i8042_interrupt+0x0/0x1f8)
Disabling IRQ #12

I haven't tried with acpi=off, as I need the server to be running. 
Also, please note that there is no mouse connected, although there was
when FC2 was installed.
Comment 16 Paul Kopacz 2004-09-28 16:34:57 EDT
Got a screaming interrupt as well, except it's with a sound card and
happens after the first logout:

Sep 26 15:39:22 Berdoo kernel: irq 11: nobody cared! (screaming
interrupt?)
Sep 26 15:39:22 Berdoo kernel: irq 11: Please try booting with
acpi=off and report a bug
Sep 26 15:39:22 Berdoo kernel: Stack pointer is garbage, not printing
trace
Sep 26 15:39:22 Berdoo kernel: handlers:
Sep 26 15:39:22 Berdoo kernel: [<42db33e1>]
(snd_audiopci_interrupt+0x0/0x16a [snd_ens1371])
Sep 26 15:39:22 Berdoo kernel: Disabling IRQ #11

I am running kernel-2.6.8-1.521 updated 
via yum.  The original kernel had the same problem.
Comment 17 Daniel Rogers 2004-10-18 16:28:19 EDT
FYI, I upgraded my ASUS A7N8X-E Deluxe BIOS from version 1008 to
version 1012, and this problem went away.

Still not sure why the early FC2 kernels didn't have this problem
while the later ones did.
Comment 18 Bill Shannon 2004-10-26 03:20:59 EDT
Bug #132930 reports a similar problem.
Comment 19 fabio 2004-11-10 12:03:52 EST
I got your same problem even in fedora core 3 with kernel-2.6.9.
After a log out, if i log in again i can only ping my address and none
elsem cause the IRQ #11  of the Nic is disabled, i tried to do all the
stuff you said about disabling acpi but i didn't solve the problem.
Comment 20 Dave Jones 2005-04-16 01:56:56 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.